package com.atguigu.ssyx.cart.service;

import java.util.List;

/**
 * ClassName: CartInfoService
 * Package: com.atguigu.ssyx.cart.service
 *
 * @author yovinchen
 * @Create 2023/10/8 22:33
 */
public interface CartInfoService {
    /**
     * 添加商品到购物车
     *
     * @param userId
     * @param skuId
     * @param skuNum
     */
    void addToCart(Long userId, Long skuId, Integer skuNum);

    /**
     * 根据skuId删除购物车
     *
     * @param skuId
     * @param userId
     */
    void deleteCart(Long skuId, Long userId);

    /**
     * 清空购物车
     *
     * @param userId
     */
    void deleteAllCart(Long userId);

    /**
     * 批量删除购物车
     *
     * @param skuIdList
     * @param userId
     */
    void batchDeleteCart(List<Long> skuIdList, Long userId);
}
